PipeWire: spa_system_methods Struct Reference

PipeWire 1.4.1 |

Loading...
Searching...
No Matches
Data Fields
spa_system_methods Struct Reference
SPA » Support » System

`#include <spa/support/system.h>`

## Data Fields
uint32_t | version
ssize_t(* | read )(void *object, int fd, void *buf, size_t count)
ssize_t(* | write )(void *object, int fd, const void *buf, size_t count)
int(* | ioctl )(void *object, int fd, unsigned long request,...)
int(* | close )(void *object, int fd)
int(* | clock_gettime )(void *object, int clockid, struct timespec *value)
int(* | clock_getres )(void *object, int clockid, struct timespec *res)
int(* | pollfd_create )(void *object, int flags)
int(* | pollfd_add )(void *object, int pfd, int fd, uint32_t events, void *data)
int(* | pollfd_mod )(void *object, int pfd, int fd, uint32_t events, void *data)
int(* | pollfd_del )(void *object, int pfd, int fd)
int(* | pollfd_wait )(void *object, int pfd, struct spa_poll_event *ev, int n_ev, int timeout)
int(* | timerfd_create )(void *object, int clockid, int flags)
int(* | timerfd_settime )(void *object, int fd, int flags, const struct itimerspec *new_value, struct itimerspec *old_value)
int(* | timerfd_gettime )(void *object, int fd, struct itimerspec *curr_value)
int(* | timerfd_read )(void *object, int fd, uint64_t *expirations)
int(* | eventfd_create )(void *object, int flags)
int(* | eventfd_write )(void *object, int fd, uint64_t count)
int(* | eventfd_read )(void *object, int fd, uint64_t *count)
int(* | signalfd_create )(void *object, int signal, int flags)
int(* | signalfd_read )(void *object, int fd, int *signal)

## Field Documentation

## ◆ version

uint32_t spa_system_methods::version

## ◆ read

ssize_t(* spa_system_methods::read) (void *object, int fd, void *buf, size_t count)

## ◆ write

ssize_t(* spa_system_methods::write) (void *object, int fd, const void *buf, size_t count)

## ◆ ioctl

int(* spa_system_methods::ioctl) (void *object, int fd, unsigned long request,...)

## ◆ close

int(* spa_system_methods::close) (void *object, int fd)

## ◆ clock_gettime

int(* spa_system_methods::clock_gettime) (void *object, int clockid, struct timespec *value)

## ◆ clock_getres

int(* spa_system_methods::clock_getres) (void *object, int clockid, struct timespec *res)

## ◆ pollfd_create

int(* spa_system_methods::pollfd_create) (void *object, int flags)

## ◆ pollfd_add

int(* spa_system_methods::pollfd_add) (void *object, int pfd, int fd, uint32_t events, void *data)

## ◆ pollfd_mod

int(* spa_system_methods::pollfd_mod) (void *object, int pfd, int fd, uint32_t events, void *data)

## ◆ pollfd_del

int(* spa_system_methods::pollfd_del) (void *object, int pfd, int fd)

## ◆ pollfd_wait

int(* spa_system_methods::pollfd_wait) (void *object, int pfd, struct spa_poll_event *ev, int n_ev, int timeout)

## ◆ timerfd_create

int(* spa_system_methods::timerfd_create) (void *object, int clockid, int flags)

## ◆ timerfd_settime

int(* spa_system_methods::timerfd_settime) (void *object, int fd, int flags, const struct itimerspec *new_value, struct itimerspec *old_value)

## ◆ timerfd_gettime

int(* spa_system_methods::timerfd_gettime) (void *object, int fd, struct itimerspec *curr_value)

## ◆ timerfd_read

int(* spa_system_methods::timerfd_read) (void *object, int fd, uint64_t *expirations)

## ◆ eventfd_create

int(* spa_system_methods::eventfd_create) (void *object, int flags)

## ◆ eventfd_write

int(* spa_system_methods::eventfd_write) (void *object, int fd, uint64_t count)

## ◆ eventfd_read

int(* spa_system_methods::eventfd_read) (void *object, int fd, uint64_t *count)

## ◆ signalfd_create

int(* spa_system_methods::signalfd_create) (void *object, int signal, int flags)

## ◆ signalfd_read

int(* spa_system_methods::signalfd_read) (void *object, int fd, int *signal)

The documentation for this struct was generated from the following file:

- spa/support/system.h